@import url("./projects.css");

:root {
	--red: #e74c3c;
	--yellow: #f1c40f;
	--blue: #3498db;
	--white: #ffffff;
	--grey: #34495e;
	--dark-grey: #2c3e50;
	--black: #000000;

	--accent-color-a: #ffffff;
    --accent-color-b: #ffffff;

	--background-color-transparent-a: rgba(23, 23, 23, 35%);
	--background-color-transparent-b: rgba(23, 23, 23, 90%);

	--loading-screen-animation: pop 300ms linear forwards;
	--flat-transition-duration: 350ms;

	--vw: 1vw;
	--vh: 1vh;
}

html {
	background-color: var(--blue) !important;
}

canvas {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	touch-action: none;
	transition: transform var(--flat-transition-duration) ease-in-out;
}

/* #region LOADING SCREEN */

#loading-screen {
	--size: calc(var(--vw, 1vw) * 1.5);

	position: fixed;
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
    align-items: center;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: var(--blue);
	z-index: 10;
}

#loading-screen #loading-screen-info {
	display: flex;
	gap: 2rem;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	margin-top: 1rem;
	margin-bottom: calc(5rem + var(--margin-bottom-offset, 0rem));
}

#loading-screen h2 {
	margin: 0;
    font-size: 2rem;
}

#loading-screen .building {
	--transform: ;

	position: relative;
	display: flex;
    align-items: center;
	flex-direction: column;
	margin-bottom: calc(var(--size) * -3);
	width: calc(var(--vw, 1vw) * 50);
	height: calc(var(--vh, 1vh) * 75);
	background-color: var(--red);
	border-radius: var(--size);
	transform: scale(0);
	-webkit-transform: scale(0);
	animation: pop-1 3000ms infinite;
	-webkit-animation: pop-1 3000ms infinite;
}

#loading-screen .roof {
	--transform: translate(-50%, -50%);

	position: absolute;
	top: 0;
	left: 50%;
	width: calc(100% + var(--size) * 2);
	height: calc(var(--size) * 4);
	background-color: var(--white);
	border-radius: var(--size);
	transform: var(--transform) scale(0);
	-webkit-transform: var(--transform) scale(0);
	animation: pop-2 3000ms infinite;
	-webkit-animation: pop-2 3000ms infinite;
}

#loading-screen .windows {
	display: flex;
	gap: calc(var(--size) * 7.5);
	justify-content: space-between;
	margin-top:calc(var(--size) * 3.5);
	width: calc(100% - var(--size) * 7.5);
	height: calc(var(--size) * 15);
	min-height: calc(var(--size) * 15);
}

#loading-screen .window {
	--gap: calc(var(--size) * 0.5);

	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	align-content: space-between;
	width: 100%;
	height: 100%;
	padding: calc(var(--size) * 0.5);
	background-color: var(--white);
	border-radius: var(--size);
	transform: scale(0);
	-webkit-transform: scale(0);
	animation: pop-4 3000ms infinite;
	-webkit-animation: pop-4 3000ms infinite;
}

#loading-screen .glass-pane {
	width: calc(50% - var(--gap) / 2);
	height: calc(50% - var(--gap) / 2);
	background-color: var(--blue);
	border-radius: var(--size);
	transform: scale(0);
	-webkit-transform: scale(0);
	animation: pop-5 3000ms infinite;
	-webkit-animation: pop-5 3000ms infinite;
}

#loading-screen .trim {
	margin-top: calc(var(--size) * 2.5);
	width: calc(100% + var(--size));
	height: calc(var(--size) * 2);
	min-height: calc(var(--size) * 2);
	background-color: var(--white);
	border-radius: calc(var(--size) * 0.6);
	transform: scale(0);
	-webkit-transform: scale(0);
	animation: pop-3 3000ms infinite;
	-webkit-animation: pop-3 3000ms infinite;
}

#loading-screen.failed div {
	transform: var(--transform) scale(100%);
	-webkit-transform: var(--transform) scale(100%);
	animation: none;
	-webkit-animation: none;
}

#loading-screen.failed #loading-screen-info {
	--margin-bottom-offset: -3rem;
}

#loading-screen:not(.failed) #loading-screen-info > *:nth-child(n+2) {
	display: none;
}

#loading-screen.failed #loading-screen-info > *:nth-child(1) {
	display: none;
}

@keyframes pop-1 {
	0% {
		transform: var(--transform) scale(0);
		-webkit-transform: var(--transform) scale(0);
	}
	8% {
		transform: var(--transform) scale(115%);
		-webkit-transform: var(--transform) scale(115%);
	}
	10%, 100% {
		transform: var(--transform) scale(100%);
		-webkit-transform: var(--transform) scale(100%);
	}
}

@-webkit-keyframes pop-1 {
	0% {
		transform: var(--transform) scale(0);
		-webkit-transform: var(--transform) scale(0);
	}
	8% {
		transform: var(--transform) scale(115%);
		-webkit-transform: var(--transform) scale(115%);
	}
	10%, 100% {
		transform: var(--transform) scale(100%);
		-webkit-transform: var(--transform) scale(100%);
	}
}

@keyframes pop-2 {
	0%, 15% {
		transform: var(--transform) scale(0);
		-webkit-transform: var(--transform) scale(0);
	}
	23% {
		transform: var(--transform) scale(115%);
		-webkit-transform: var(--transform) scale(115%);
	}
	25%, 100% {
		transform: var(--transform) scale(100%);
		-webkit-transform: var(--transform) scale(100%);
	}
}

@-webkit-keyframes pop-2 {
	0%, 15% {
		transform: var(--transform) scale(0);
		-webkit-transform: var(--transform) scale(0);
	}
	23% {
		transform: var(--transform) scale(115%);
		-webkit-transform: var(--transform) scale(115%);
	}
	25%, 100% {
		transform: var(--transform) scale(100%);
		-webkit-transform: var(--transform) scale(100%);
	}
}

@keyframes pop-3 {
	0%, 30% {
		transform: var(--transform) scale(0);
		-webkit-transform: var(--transform) scale(0);
	}
	38% {
		transform: var(--transform) scale(115%);
		-webkit-transform: var(--transform) scale(115%);
	}
	40%, 100% {
		transform: var(--transform) scale(100%);
		-webkit-transform: var(--transform) scale(100%);
	}
}
@-webkit-keyframes pop-3 {
	0%, 30% {
		transform: var(--transform) scale(0);
		-webkit-transform: var(--transform) scale(0);
	}
	38% {
		transform: var(--transform) scale(115%);
		-webkit-transform: var(--transform) scale(115%);
	}
	40%, 100% {
		transform: var(--transform) scale(100%);
		-webkit-transform: var(--transform) scale(100%);
	}
}

@keyframes pop-4 {
	0%, 45% {
		transform: var(--transform) scale(0);
		-webkit-transform: var(--transform) scale(0);
	}
	53% {
		transform: var(--transform) scale(115%);
		-webkit-transform: var(--transform) scale(115%);
	}
	60%, 100% {
		transform: var(--transform) scale(100%);
		-webkit-transform: var(--transform) scale(100%);
	}
}

@-webkit-keyframes pop-4 {
	0%, 45% {
		transform: var(--transform) scale(0);
		-webkit-transform: var(--transform) scale(0);
	}
	53% {
		transform: var(--transform) scale(115%);
		-webkit-transform: var(--transform) scale(115%);
	}
	60%, 100% {
		transform: var(--transform) scale(100%);
		-webkit-transform: var(--transform) scale(100%);
	}
}

@keyframes pop-5 {
	0%, 60% {
		transform: var(--transform) scale(0);
		-webkit-transform: var(--transform) scale(0);
	}
	68% {
		transform: var(--transform) scale(115%);
		-webkit-transform: var(--transform) scale(115%);
	}
	70%, 100% {
		transform: var(--transform) scale(100%);
		-webkit-transform: var(--transform) scale(100%);
	}
}

@-webkit-keyframes pop-5 {
	0%, 60% {
		transform: var(--transform) scale(0);
		-webkit-transform: var(--transform) scale(0);
	}
	68% {
		transform: var(--transform) scale(115%);
		-webkit-transform: var(--transform) scale(115%);
	}
	70%, 100% {
		transform: var(--transform) scale(100%);
		-webkit-transform: var(--transform) scale(100%);
	}
}

@keyframes pop {
	0% {
		transform: var(--transform) scale(0);
	}
	80% {
		transform: var(--transform) scale(115%);
	}
	100% {
		transform: var(--transform) scale(100%);
	}
}

@media screen and (min-width: 1200px) {
	#loading-screen #loading-screen-info {
		margin-bottom: calc(10rem + var(--margin-bottom-offset, 0rem));
	}

	#loading-screen h2 {
		font-size: 3.5rem;
	}
}

/* #endregion */

/* #region FLAT VERSION */

#flat-version-container {
	z-index: 11 !important;
}

#flat-version-container > * {
	pointer-events: all;
}

#toggle-flat-button {
	--size: 0.8rem;

	position: absolute;
	top: 1.45rem;
	left: 1.75rem;
	padding: calc(var(--size) * 0.5) calc(var(--size) * 1.25);
	background-color: var(--background-color-transparent-a);
	border: 3px solid var(--text-color);
	border-radius: 9999px;
	font-size: calc(var(--size) * 1.75);
	backdrop-filter: blur(5px);
}

#flat-version {
	width: 100vw;
	padding: 0 25vw;
	height: 100%;
	background-color: var(--blue);
	transform: translate(100%);
	transition: transform var(--flat-transition-duration) ease-in-out;
	overflow-y: auto;
}

body.show-flat-version #flat-version {
	transform: none;
}

body.show-flat-version #canvas {
	transform: translate(-100%);
}

#flat-version .building {
	--size: calc(var(--vw, 1vw) * 1.5);

	position: relative;
	margin-top: calc(var(--size) * 2);
	background-color: var(--red);
}

#flat-version .building::before {
	content: "";
	position: absolute;
	top: calc(var(--size) * -2);
	left: calc(var(--size) * -1);
	width: calc(100% + var(--size) * 2);
	height: calc(var(--size) * 4);
	background-color: var(--white);
	border-radius: var(--size);
}

#flat-version section {
	position: relative;
	background: none;
	min-height: unset;
	padding-bottom: 60px;
}

#flat-version section:not(:first-child)::before {
	content: "";
	position: absolute;
	top: calc(var(--size) * -1);
	left: calc(var(--size) * -0.5);
	width: calc(100% + var(--size));
	height: calc(var(--size) * 2);
	background-color: var(--white);
	border-radius: calc(var(--size) * 0.6);
}

#flat-version section:last-child {
	margin-bottom: 0;
}

#flat-version section .section-container {
	width: 100%;
}

#flat-version #flat-intro {
	padding-bottom: 0;
}

#flat-version #flat-intro .section-container {
	display: flex;
	justify-content: flex-end;
}

#flat-version #flat-intro img {
	width: 5vw;
	border-radius: 0;
}

#flat-version .social-icons a {
	color: var(--white);
}

.frame img {
	width: 100%;
	aspect-ratio: 25 / 40;
	object-fit: cover;
}

/* #endregion */

/* #region OVERLAY */

#overlay, #overlay > *, #flat-version-container {
	position: fixed;
	top: 0;
	left: 0;
	width: calc(var(--vw, 1vw) * 100);
	height: calc(var(--vh, 1vh) * 100);
	z-index: 2;
	pointer-events: none;
}

#overlay > * > * {
	pointer-events: all;
}

#buttons {
	pointer-events: none;
}

#menu-button {
	position: absolute;
	top: 1rem;
	right: 1rem;
	font-size: 2rem;
}

/* #endregion */

/* #region NAV MENU */

#nav-menu {
	opacity: 1;
	display: flex;
	justify-content: center;
	align-items: center;
	transform: none;
	-webkit-transform: none;
	transition: 350ms ease-out;
	-webkit-transition: 350ms ease-out;
	z-index: 3;
}

#nav-menu:not(.active) {
	opacity: 0;
	transform: translateY(-50%);
	-webkit-transform: translateY(-50%);
}

#nav-menu:not(.active) .nav-buttons-container {
	pointer-events: none;
}

.nav-buttons-container {
	position: absolute;
	top: 2rem;
	right: 8rem;
	display: flex;
	gap: 1rem;
	flex-direction: column;
	padding: 3.5rem 5rem;
	background-color: var(--background-color-transparent-b);
    backdrop-filter: blur(5px);
	-webkit-backdrop-filter: blur(5px);
	border-radius: 1rem;
	max-width: calc(calc(var(--vw, 1vw) * 100) - 4rem);
}

.nav-button-row {
	display: flex;
	gap: 2rem;
	justify-content: flex-end;
	max-width: 13.5rem;
}

.nav-button-label {
	display: flex;
	justify-content: center;
	align-items: center;
	margin: 0;
	font-weight: bold;
	text-align: end;
}

.nav-button {
	--size: 2rem;

	justify-content: center;
	width: calc(var(--size) * 2) !important;
	height: calc(var(--size) * 2) !important;
	padding: 0 !important;
	background-color: var(--background-color-b);
	border: calc(var(--size) / 8) solid var(--white);
	border-radius: 50%;
	font-size: var(--size);
	aspect-ratio: 1;
}

.nav-button-row:last-child {
	justify-content: space-between;
	margin-top: 1rem;
}

.nav-button.active {
	border-color: var(--yellow);
}

.nav-button#emergency-button {
	color: var(--red);
	border-color: var(--red);
}

@media screen and (max-width: 600px) {
	.nav-buttons-container {
		top: 6rem;
		right: 2rem;
	}
}

@media screen and (max-width: 385px) {
	.nav-buttons-container {
		padding-left: 2rem;
		padding-right: 2rem;
	}

	.nav-button-row:last-child {
		justify-content: center;
	}
}

@media screen and (max-height: 750px) {
	.nav-buttons-container {
		padding-top: 1.5rem;
		padding-bottom: 1.5rem;
	}

	.nav-button {
		--size: calc(var(--vh, 1vh) * 7 - 22.5px);
	    padding: calc(var(--size) / 2) !important;
	}
}

/* #endregion */

/* #region TOOLTIP */

#tooltip-container {
	display: flex;
	justify-content: center;
	align-items: flex-end;
}

#tooltip {
	opacity: 1;
	margin-bottom: 1.5rem;
	padding: 0.4rem 1rem;
	background-color: var(--background-color-transparent-b);
	font-size: 1.25rem;
	border-radius: 9999px;
	transform: none;
	-webkit-transform: none;
	transition: 300ms ease-in-out;
	-webkit-transition: 300ms ease-in-out;
}

#tooltip:not(.active) {
	opacity: 0;
	transform: translateY(100%);
	-webkit-transform: translateY(100%);
}

/* #endregion */

/* #region MODALS */

.modal {
	opacity: 0;
	display: flex;
	justify-content: center;
	align-items: center;
	transform: translateY(100%);
	-webkit-transform: translateY(100%);
	transition: transform 250ms ease-out, opacity 250ms ease-out;
	-webkit-transition: transform 250ms ease-out, opacity 250ms ease-out;
	z-index: 1;
}

.modal.active {
	opacity: 1;
	transform: translateY(0);
	-webkit-transform: translateY(0);
}

.modal.active .modal-inner * {
	pointer-events: all;
}

.modal-inner {
	--margin: 2rem;
	--padding: 2rem;
	--scroll-bar-thumb--width: 4px;
	--scroll-bar-thumb-padding: 7.5px;
	--scroll-bar-width: calc(var(--scroll-bar-thumb--width) + var(--scroll-bar-thumb-padding) * 2);

	margin: var(--margin);
	padding: var(--padding);
	/* padding: calc(var(--padding) - var(--scroll-bar-width));; */
	width: calc(var(--vw, 1vw) * 50);
	max-height: calc(100% - var(--margin) * 2);
	background-color: var(--background-color-transparent-b);
	backdrop-filter: blur(5px);
	-webkit-backdrop-filter: blur(5px);
	border-radius: 1rem;
	overflow-y: auto;
	pointer-events: none !important;
}

.modal-inner::-webkit-scrollbar {
	width: var(--scroll-bar-width);
	padding: 0 1rem;
}

.modal-inner::-webkit-scrollbar-track {
	margin: calc(var(--padding) - var(--scroll-bar-thumb-padding)) 0;
}

.modal-inner::-webkit-scrollbar-thumb {
	background-color: var(--text-color);
	border-width: var(--scroll-bar-thumb-padding);
}

@media screen and (max-width: 1000px) {
	.modal-inner {
		width: calc(var(--vw, 1vw) * 75);
	}
}

@media screen and (max-width: 500px) {
	.modal-inner {
		width: calc(var(--vw, 1vw) * 100);
	}
}

.modal .modal-inner .close-modal {
    margin: 0 0 1rem auto;
    padding: 0;
    font-size: 1.75rem;
}

.modal h4 {
	margin-top: 0;
	padding: 0;
	font-size: 3rem;
	border: none;
}

@media screen and (max-width: 440px) {
	.modal h4 {
		font-size: 2rem;
	}
}

.modal .modal-title {
	display: flex;
	align-items: flex-start;
	justify-content: space-between;
	margin-bottom: 60px;
}

.modal .modal-title > * {
	margin: 0;
}

.modal form {
	gap: 2rem;
	margin: 0;
	width: 100%;
}

.modal form > div {
	display: flex;
	gap: 0.5rem;
	flex-direction: column;
}

.modal form > div > *:nth-child(n+3) label {
	margin-top: 0.25rem;
}

.modal form .required label::after {
	content: "*";
	margin-left: 0.2rem;
	color: var(--red);
}

.modal .input {
	background: var(--background-color-a);
}

select.input, .input[type="checkbox"] {
	cursor: pointer;
}

.modal .checkbox {
	display: flex;
	flex-direction: row;
	align-items: center;
}

.modal .checkbox > * {
	width: auto;
	cursor: pointer;
}

.modal .checkbox .input {
	display: flex;
	align-items: center;
	justify-content: center;
	appearance: none;
	width: 1.75rem;
	height: 1.75rem;
	padding: 0;
	color: var(--text-color);
	border: 3px solid var(--text-color);
	border-radius: 9999px;
	font-size: 0.75rem;
	aspect-ratio: 1;
}

.modal .checkbox .input::before {
	opacity: 0;
	content: "\f00c";
	font-weight: 900;
	font-family: "Font Awesome 6 Free";
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
	display: var(--fa-display,inline-block);
	font-style: normal;
	font-variant: normal;
	line-height: 1;
	text-rendering: auto;
}

.modal .checkbox .input:checked::before {
	opacity: 1;
}

.modal .button {
	margin-top: 0;
}

.modal.project {
	transform: none;
}

.modal.project .modal-inner {
	margin-top: 0;
	margin-bottom: 0;
	height: 100%;
	max-height: unset;
	border-radius: 0;
}

/* #endregion */

/* #region ICONS LIST */

.icons-list {
	display: flex;
	gap: 1rem;
}

.icons-list > * {
	width: 3rem;
	height: auto;
	border-radius: 0;
	object-fit: contain;
}

/* #endregion */

/* #region CAROUSEL*/

.carousel {
	--button-size: 2rem;

	position: relative;
	display: flex;
	gap: 1rem;
	align-items: center;
}

.carousel-button {
	display: flex;
	justify-content: center;
	align-items: center;
	width: var(--button-size);
	height: var(--button-size);
	padding: 0;
	border: 3px solid var(--white);
	border-radius: 9999px;
	aspect-ratio: 1;
	font-size: calc(var(--button-size) * 0.6);
}

#carousel-previous-button {
	left: 0;
}

#carousel-next-button {
	right: 0;
}

.carousel-inner {
	--gap: 2rem;

	display: flex;
	gap: var(--gap);
	align-items: center;
	width: 100%;
	overflow: hidden;
}

.carousel-inner > *:not(.carousel-button) {
	--width: calc((100% - var(--gap) * 2) / 3);

	flex: 30%;
	width: var(--width);
	min-width: var(--width);
}

/* #endregion */
